Section ID:
DOC-API-MODEL-schema-oi3nhojaso#overview
EvaluationPageInfo
One-based offset-pagination position, page size and result totals.
Meaning and usage
Section ID: DOC-API-MODEL-schema-oi3nhojaso#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-oi3nhojaso#fields
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
Section ID: DOC-API-MODEL-schema-oi3nhojaso#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-oi3nhojaso#field-pageSection ID: DOC-API-MODEL-schema-oi3nhojaso#response-field-pagepage | string (int64) | Optional | One-based page number. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-oi3nhojaso#field-limitSection ID: DOC-API-MODEL-schema-oi3nhojaso#response-field-limitlimit | string (int64) | Optional | Maximum number of entries requested from the listing. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-oi3nhojaso#field-totalitemsSection ID: DOC-API-MODEL-schema-oi3nhojaso#response-field-totalitemstotalItems | string (int64) | Optional | Total item count reported for the current query. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-oi3nhojaso#field-totalpagesSection ID: DOC-API-MODEL-schema-oi3nhojaso#response-field-totalpagestotalPages | string (int64) | Optional | Total number of pages reported for the current query. Pattern: ^-?\d+$. |
Where used
Section ID: DOC-API-MODEL-schema-oi3nhojaso#where-used
| Reference | Relationship |
|---|---|
| List annotation queue items | POST /api/v1/evals/list-annotation-queue-items |
| List annotation queues | POST /api/v1/evals/list-annotation-queues |
| List comments | POST /api/v1/evals/list-comments |
| List dataset items | POST /api/v1/evals/list-dataset-items |
| List datasets | POST /api/v1/evals/list-datasets |
| List score configs | POST /api/v1/evals/list-score-configs |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-oi3nhojaso